DocumentationAPI ReferenceChangelog

Envocal API

API Reference API Changelog

Endpoints

List phone numbers of a tenant GETAdd a phone number POSTGet a phone number GETDelete a phone number DELETEChange a phone number PUT
Phone numbers

List phone numbers of a tenant

Get processing status of documents POST

Poll after uploading until each document's state is complete (or error).

Add a phone number POST

Registers a number to the tenant so it can be assigned to an agent. Calls to the number must also be routed to the platform by your telephony provider (SIP trunk). Numbers are unique across the platform.

GET
/v1/tenants/{tenantId}/phone-numbers

Required permission: phone_numbers:read

Authorization

Bearer
headerAuthorizationBearer <token>

Tenant API key (evk_…), created in Studio → Vault → API keys.

Path Parameters

tenantId*string

Tenant id, or current for the key's own tenant. Must be the key's tenant or one of its sub-tenants.

Response Body

The phone numbers with the agent each is assigned to.

  1. response
  1. response
  2. …
[index: integer]?

A phone number registered on the platform.

Example Request
curl -X GET 'https://api.envocal.ai/v1/tenants/string/phone-numbers'
Example Response
[  {    "id": "string",    "number": "string",    "tenantId": "string",    "assignedAgentId": "string",    "assignedAgentName": "string"  }]
Example Request
curl -X GET 'https://api.envocal.ai/v1/tenants/string/phone-numbers'
[
  {
    "id": "string",
    "number": "string",
    "tenantId": "string",
    "assignedAgentId": "string",
    "assignedAgentName": "string"
  }
]